| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/math2d.h File Reference

2D mathematic utility functions. More...

`#include "csextern.h"`
`#include "csgeom/plane2.h"`
`#include "csgeom/segment.h"`
`#include "csgeom/vector2.h"`

Go to the source code of this file.

## Classes
class | csIntersect2
| Some functions to perform various intersection calculations with 2D line segments. More...
class | csMath2
| Various functions in 2D, such as 2D vector functions. More...

## Detailed Description

2D mathematic utility functions.

Definition in file math2d.h.